Extract portfolio at your URL

Use this endpoint with multiple documents that are packaged into one file (a "portfolio"). For a list of supported file types, see Supported file types. Segments a portfolio file at the specified document_url into the specified document types (for example, 1099, w2, and bank_statement) and then runs extractions asynchronously for each document Sensible finds in the portfolio. Take the following steps.

  1. Run this endpoint.
  2. To retrieve the extraction, use a webhook, or use the extraction id returned in the response to poll the GET documents/{id} endpoint. For more about extracting from portfolios, see Multi-document extractions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
Defaults to production

If you specify development, extracts preferentially using config versions published to the development environment in the Sensible app. The extraction runs all configs in the doc type before picking the best fit. For each config, falls back to production version if no development version of the config exists.

Allowed:
string

If you specify the filename of the document using this parameter, then Sensible returns the filename in the extraction response.

Body Params
url
required

URL that responds to a GET request with the bytes of the document you want to extract data from. This URL must be either publicly accessible, or presigned with a security token as part of the URL path. To check if the URL meets these criteria, open the URL with a web browser. The browser must either render the document as a full-page view with no other data, or download the document, without prompting for authentication.

types
array of strings
required

Specifies the document types contained in the PDF portfolio.

types*
string
enum
Defaults to fingerprints

Specifies how to segment the page ranges of the documents in the portfolio. For more information, see Multi-document extraction.

Allowed:
webhook
object

Pushes extraction results to the specified webhook under the following circumstances, so you don't have to poll for results status:

  • When Sensible sets "status": "COMPLETE" or "status": "FAILED"
  • When the value for reviewStatus (for portfolio extractions) or reviewStatus (for single-document extractions) changes.
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain